namespace JAM
{
	bool IndexInRange(const uint length, const int index)
	{
		return index >= 0 && index < int(length);
	}

	void HUDPrintLines(array<kStr> &lines, const int time)
	{
		lines.resize(7);
		for (int i = 0; i < 7; i++)
			Game.PrintLine(lines[(6) - i], i, time);
	}
	
	void HUDPrintLinesBottom(array<kStr> &lines, const int time)
	{
		int linesNeeded = 7 - int(lines.length());
		for (int i = 0; i < linesNeeded; i++)
			lines.insertAt(0, "");

		for (int i = 0; i < 7; i++)
			Game.PrintLine(lines[(6) - i], i, time);
	}
	
	bool GameVarHasFlags(const kStr &in key, const int flags)
	{
		int value;
		GameVariables.GetInt(key, value);
		return (value & flags != 0);
	}
	
	// Returns the keys new value
	int GameVarSetFlags(const kStr &in key, const int flags, const bool on = true)
	{
		int value;
		if (!GameVariables.GetInt(key, value))
			return 0;
		
		if (on)
			value |= flags;
		else
			value &= ~flags;
		
		GameVariables.SetValue(key, "" + value);
		return value;
	}
}
