namespace JAM
{
	kActor@ spiritWorldBuzz;
	
	void SetupSpiritWorld()
	{
		MapDef@ mapDef = GetMapDef(Game.GetCurrentMapID());
		if (mapDef is null || !mapDef.isSpiritWorld)
			return;
		
	    @spiritWorldBuzz = ActorFactory.Spawn("DummyActor", 0, 0, 0, 0, Player.Actor().SectorIndex());
	}
	
	void TickSpiritWorld()
	{
		if (spiritWorldBuzz is null)
			return;
		
		float time = float(PlayLoop.Ticks());
		spiritWorldBuzz.Origin() = Player.Actor().Origin();
		spiritWorldBuzz.Origin().x += (GAME_SCALE*15) * Math::Sin(Math::Deg2Rad(time * 6.0f)) + Player.Actor().Yaw();
		spiritWorldBuzz.Origin().y += (GAME_SCALE*15) * Math::Cos(Math::Deg2Rad(time * 7.0f)) + Player.Actor().Yaw();
		spiritWorldBuzz.PlaySound("sounds/shaders/generic_185.ksnd");
	}
}
